## NAME

d.font - Selects the font in which text will be displayed on the user's graphics monitor.

## KEYWORDS

display, setup

## SYNOPSIS

d.font
d.font help
d.font [-lL] [font=string] [path=string] [charset=string] [--verbose] [--quiet]

### Flags:

-l
  List fonts
-L
  List fonts verbosely
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

font=string
  Choose new current font
  Default: romans
path=string
  Path to Freetype-compatible font including file name
charset=string
  Character encoding
  Default: UTF-8

## DESCRIPTION

d.font.freetype selects the freetype font in which text will be displayed on the user's graphics monitor.
The text (character strings) displayed on the GRASS monitor was internationalized. Internationalization does not use vector (Hershey) fonts as the old version, but it uses instead TrueType fonts which enables the display of Double Byte characters such as Japanese character set. To set up TrueType fonts, d.font.freetype performs font and character encodings. This internationalization can now display Japanese and other (asian) language texts from vector labels, legends, etc.

## USAGE

To enable displaying of a TrueType font on the GRASS monitor, run:

    d.mon x0
    d.font.freetype [font=TrueTypefontname] [charset=encoding]

    #with:
    # [font]:    TrueType font path (full path including font file name)
    # [charset]: character encoding (EUC-JP, UTF-8, SJIS)

    # Examples on Redhat Linux 9.x:
    d.font.freetype font=/usr/share/fonts/ja/TrueType/kochi-gothic.ttf charset=EUC-JP

    d.font.freetype font=/usr/X11R6/lib/X11/fonts/TTF/luximb.ttf

    # Example on Mandrake 10:
    d.font.freetype font=/usr/X11R6/lib/X11/fonts/TTF/ipag.ttf charset=EUC-JP

    d.font.freetype font=/usr/share/fonts/openoffice/Vera.ttf

    d.font.freetype font=/usr/share/fonts/ttf/vera/Vera.ttf

    # Example using the freetypecap file:
    d.font.freetype -l
    d.font.freetype font=batang

## DEFINITION FILE

To help users select fonts conveniently, the definition file, `$(GISBASE)/etc/freetypecap`, is provided. Its format is as follows:

    font:fontpath:charset:description
    *default_font:fontpath:charset:description

See the file for examples.

## SEE ALSO

d.text
d.text.freetype
d.font
d.vect

## AUTHOR

FOSS4G members.
Project sponsored by IPA (Information-technology Promotion Agency, Japan)

Last changed: $Date: 2011-11-08 12:29:50 +0100 (út, 08 XI 2011) $

Main index - display index - Full index

© 2003-2014 GRASS Development Team